Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Story # 54853 (Accepted): As a user I want to correctly create, modify, preview and publish IRRE & MM related workspace changes
Subject: Introduce MM_oppositeUsage property
Description

On copying a sys_category record, a new MM reference is created, however without setting the "fieldname".
This value is basically defined from the opposite entity with MM_match_fields, but cannot be accessed.

This change introduces the MM_oppositeUsage property for MM definitions in the TCA.

Example:

...
'allowed' => '*',
'MM' => 'tx_myextension_first_second_mm',
'MM_oppositeUsage' => array(
  'tt_content' => array('somefield'),
  'tx_myextension_domain_model' => array('some_property'),
),
...

Related issues:
related to Core - Task # 56059: Category localization cannot be rendered Resolved 2014-02-17
related to Core - Task # 56122: Use MM_oppositeUsage for category relations Resolved 2014-02-19
related to TCA Reference - Feature # 56123: Introduce MM_oppositeUsage property Closed 2014-02-19

Associated revisions
Revision 84e703a0 - 2014-02-19 20:51 - Oliver Hader

[FEATURE] Introduce MM_oppositeUsage property

On copying a sys_category record, a new MM reference is created,
however without setting the "fieldname". This value is basically
defined from the opposite entity with MM_match_fields, but
cannot be accessed.

This change introduces the MM_oppositeUsage property for MM
definitions in the TCA.

Example:

2015-08-04 1/3



'config' => array(
  'allowed' => '*',
  'MM' => 'tx_myextension_first_second_mm',
  'MM_oppositeUsage' => array(
    'tt_content' => array('somefield'),
    'tx_myextension_domain_model' => array('some_property'),
  ),
),

Resolves: #56061
Documentation: #56123
Releases: 6.2
Change-Id: I26fd54688cf44d6a026ccdb3ca9276583b32acd3
Reviewed-on: https://review.typo3.org/27677
Reviewed-by: Wouter Wolters
Reviewed-by: Ernesto Baschny
Tested-by: Wouter Wolters
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision 8bed9bcf - 2014-02-19 21:01 - Oliver Hader

[BUGFIX] Use MM_oppositeUsage for category relations

The MM_oppositeUsage property allows to apply match fields
of the opposite relation to MM records. This feature shall
be enabled for sys_category records as well.

Resolves: #56122
Related: #56061
Releases: 6.2
Change-Id: I33c9f3c471d66c4154be5c2fb5180254401096f0
Reviewed-on: https://review.typo3.org/27731
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2014-02-18 00:36 - Oliver Hader
- Tracker changed from Bug to Feature

#2 - 2014-02-18 00:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27677

#3 - 2014-02-19 14:30 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27677

#4 - 2014-02-19 19:50 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27677

#5 - 2014-02-19 21:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:84e703a0a1536e49929f5244167d2d158dd1c7d6.

#6 - 2014-02-27 13:17 - Oliver Hader
- Assigned To set to Oliver Hader
